Bug 203837 - Initial 'cannot be operated with icon in notification area' needs to not happen as much
Initial 'cannot be operated with icon in notification area' needs to not happ...
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: esc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jack Magne
Depends On:
Blocks: 181509
  Show dependency treegraph
Reported: 2006-08-23 18:15 EDT by Suzanne Hillman
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-13 08:19:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Suzanne Hillman 2006-08-23 18:15:22 EDT
Description of problem:
Initial 'cannot be operated with icon in notification area' needs to not happen
as much. Really, it either needs a 'stop telling me this' thing, or a 'I've
popped up today/this week/whatever, I shouldn't do so again' detection ability.
It's _really_ annoying to see it every time one logs in as a local user.

Alternately, cause it to pop up if someone actually tries to interface with the
icon with no smartcard inserted? That makes far more sense to me.

Also, the phrasing "cannot be operated with its icon in the notification area"
could either mean "by using the icon" or "if the icon is in the notification
area". I presume you mean the former, but it needs to be rephrased to be more clear.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. log in as a local user.
Actual results:
Message box pops up about the use of ESC

Expected results:
Only happen once! Or let one choose to make it stop. Or only pop up when one
tries to use the icon.

Additional info:
Comment 1 Bob Relyea 2006-08-23 20:19:50 EDT
OK, I think I have jack as the default owner of all esc bugs no matter how they
come in now...
Comment 2 Bob Lord 2006-08-24 10:28:15 EDT
Suzanne: What is the exact dialog?  Can you paste a screenshot in?  In addition
to making it happen less often, I'd like to fix the wording.

Comment 3 Suzanne Hillman 2006-08-24 11:27:11 EDT
"ESC can not be operated with its Icon in the notification area.

Please insert a Security Key to bring ESC to life."

Do you actually need a screenshot, or is this sufficient?
Comment 4 Jack Magne 2006-08-30 00:34:18 EDT
Performed Rawhide build, esc-1.0.0-8. Tested on local machine. Problem did not
occur for me. If problem persists for others, it could be related to a
undiscovered issue with the user's profile. The profile is located in
Comment 5 Suzanne Hillman 2006-08-30 10:35:48 EDT
I have stopped seeing in in recent updates; I don't know what that means,
really. Is it fixed? Is there no way to get that message at all anymore?
Comment 6 Jack Magne 2006-08-31 00:56:52 EDT
That message happens when the notification icon misbehaves. Efforts have been
made to address that. Regardless, as of Rawhide build esc-1.0.0-9, this message
won't show up even if the icon fails. 

In the case where the icon fails for good reasons or not, the ESC "Manage Keys"
page will now pop up when the program is selected from the menu.
Comment 8 Suzanne Hillman 2006-09-27 11:57:40 EDT
The message is certainly not showing up, have not yet verified that the manage
keys page pops up with icon failures, as I do not yet see the icon itself
showing up.
Comment 10 Jay Turner 2006-11-13 08:19:40 EST
Closing out as resolved with the 20061111.0 trees.

Note You need to log in before you can comment on or make changes to this bug.